package com.huimv.eartag2.admin.service;

import com.huimv.eartag2.admin.entity.BasePigpen;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.eartag2.common.utils.Result;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-11-09
 */
public interface BasePigpenService extends IService<BasePigpen> {

    Result addBuilding(String farmCode, String buildingName, String buildingCode, String stageCode, Integer sort, Integer type);

    Result addUnit(String farmCode, String buildingCode, String unitName, String unitCode, String stageCode, Integer sort, Integer type);

    Result editBuilding(String id, String buildingName, String stageCode, Integer sort, Integer type);

    Result remove(String ids);

    Result editUnit(String id, String parentId, String unitName, String stageCode, Integer sort, Integer type);

    Result list(String farmCode, String pigpenName, String stageCode);

    Result listBuildings(Map<String, String> paramsMap);

    Result listUnitByBuilding(Map<String, String> paramsMap);
}
